Modbot Docs
APIAPI referenceAI settings

Update AI settings

PUT/api/settings/ai

Save the AI endpoint, key, model and on/off switch.

Needs the ManageSettings permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/api/settings/ai" \  -H "Content-Type: application/json" \  -d '{    "enabled": true,    "provider": null,    "endpoint": null,    "model": null,    "apiKey": null  }'
{  "enabled": true,  "provider": "string",  "endpoint": null,  "model": null,  "apiKeyStored": true,  "providers": [    {      "id": "string",      "label": "string",      "endpoint": "string",      "recommended": true    }  ],  "acknowledgement": {    "confirmed": true,    "at": null,    "by": null,    "endpoint": "string",    "sends": [      {        "feature": "string",        "text": "string"      }    ]  },  "fallbackModel": null,  "callLogKeepDays": 30}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.